// Using the printf() method to prepare a nicely formatted bill.
public class SmallBill {
  public static void main(String[] args) {
    System.out.printf("Easy Data Ltd.          ");                    // (1)
    System.out.printf("%02d/%02d/%04d, %02d:%02d:%02d%n%n",           // (2)
                       20, 3, 2006, 19, 6, 9);
    System.out.printf("%-24s %8s %6s %8s%n",                          // (3)
                      "Item", "Price", "Count", "Sum");

    int count = 2;
    double price = 132.25, sum = count*price, total = sum;
    System.out.printf("%-24s %8.2f %6d %8.2f%n",                      // (4)
                      "Ultraflash, USB 2.0, 1GB", price, count, sum); // (5)

    count = 1;
    price = 355.0; sum = count*price; total = total + sum;
    System.out.printf("%-24s %8.2f %6d %8.2f%n",                      // (6)
                      "Mega HD, 300GB", price, count, sum);           // (7)

    count = 3;
    price = 8.33; sum = count*price; total = total + sum;
    System.out.printf("%-24s %8.2f %6d %8.2f%n",                      // (8)
                      "USB 2.0 cable, 2m", price, count, sum);        // (9)

    System.out.printf("%40s %8.2f%n", "Total:", total);               // (10)
  }
}