// Conversions between string, wrappers and primitive values
public class ValueTypeTest {
  public static void main(String[] args) {
    String str;
    Double wrapper;
    double primitive;

    // string --> wrapper --> primitive --> string
    str = "-273.15";
    wrapper = new Double(str);
    primitive = wrapper;
    assert(str == Double.toString(primitive));

    // string --> primitive --> wrapper --> string
    str = "9.80665";
    primitive = Double.parseDouble(str);
    wrapper = primitive;
    assert(str == wrapper.toString());
  }
}