// Illustrating various uses of the for(;;) loop
public class ForExamples {
  public static void main(String[] args) {

    // (1) Simple for loop
    // Print the square of numbers from 1 to 5.
    System.out.println("Square of numbers from 1 to 5");
    for (int i = 1; i <= 5; i++) {
      System.out.println(i + "\t\t" + (i*i));
    }

    // (2) Increment by other than 1
    // Print the square of odd numbers from 1 to 5.
    System.out.println("Square of odd numbers from 1 to 5");
    for (int i = 1; i <= 5; i += 2) {
      System.out.println(i + "\t\t" + (i*i));
    }

    // (3) "Backwards" for loop
    // Print the square of numbers from 5 to 1.
    System.out.println("Square of numbers from 5 to 1");
    for (int i = 5; i > 0; i--) {
      System.out.println(i + "\t\t" + (i * i));
    }

    // (4) Nested for loops
    // Print the multiplication tables from 1 to 5.
    for (int i = 1; i <= 5; i++) {
      System.out.println("Multiplication table for " + i);
      for (int j = 1; j <= 10 ; j++) {
        System.out.printf("%2d x %2d = %2d%n", i, j, (i*j));
      }
    }
  }
}