// Using constructors
public class Client6 {

  public static void main(String[] args) {

    // EmployeeV6 clerk = new EmployeeV6();     // (1) Compile-time error!
                                                // No default constructor.
    // Print information in class EmployeeV6
    System.out.println("Print information in class EmployeeV6:");
    EmployeeV6.printStatistics();
    System.out.println();

    // Create an employee, and print its information
    EmployeeV6 operator1 = new EmployeeV6("Tim", "Turner", 30.00,
                                         EmployeeV6.MALE);          // (2)
    printEmployeeInfo(operator1, 40.0);
    System.out.println();

    // Create a new employee, and print its information
    EmployeeV6 operator2 = new EmployeeV6("Amy", "Archer", 20.50,
                                        EmployeeV6.FEMALE);         // (3)
    printEmployeeInfo(operator2, 50.0);
  }

  static void printEmployeeInfo(EmployeeV6 employee,
                                double numOfHours) {
    System.out.println("Printing information about an employee:");
    employee.printState();
    System.out.printf("Salary: %.2f%n",
                       employee.computeSalary(numOfHours));
    System.out.println("Print information in class EmployeeV6:");
    EmployeeV6.printStatistics();
  }
}