// Time is given as hours (0-23) and minutes (0-59).
class Time {

  // Fields for the time.
  int hours;
  int minutes;

  // Constructor
  Time(int hours, int minutes) {
    assert (0 <= hours && hours <= 23 &&
            0 <= minutes && minutes <= 59) :
            "Invalid hours and/or minutes";
    this.hours = hours;
    this.minutes = minutes;
  }

  // String representation of the time, TT:MM
  public String toString() {
    return String.format("%02d:%02d", hours, minutes);
  }
}