// Program for sorting and searching an array with user-defined integers
import java.util.Scanner;
public class SortingAndSearching {
  public static void main(String[] args) {
    System.out.println("Sorting and searching an array of integers");
    System.out.print("Enter how many values are in the table [integer]: ");
    Scanner keyboard = new Scanner(System.in);
    int numValues = keyboard.nextInt();

    assert numValues > 0 : "Must have at least one element in the array.";
    int[] numbers = new int[numValues];

    for (int i=0; i<numValues; i++) {
      System.out.print("Enter element value #" + (i+1) + ": ");
      numbers[i] = keyboard.nextInt();
    }

    Utility.printArray("Unsorted array: ", numbers);
    Utility.sortBySelection(numbers);
    Utility.printArray("Array sorted by selection sort: ", numbers);

    System.out.print("Enter the search key [integer]: ");
    int key = keyboard.nextInt();

    int index = Utility.binarySearch(numbers, key);
    if (index > -1)
      System.out.println("Binary search found the number " + key
                         + " in element with index " + index);
    else
      System.out.println("The number " + key + " is not in the array!");
  }
}