// Testing the natural order for Time objects.
public class TestTimeComparison {
  public static void main(String[] args) {
    Time time1 = new Time(6, 30);   // 06:30
    Time time2 = new Time(15, 5);   // 15:05
    Time time3 = new Time(20, 45);  // 20:45
    compareTimeObjects(time1, time2);
    compareTimeObjects(time3, time2);
    compareTimeObjects(time1, time1);
  }
  
  static void compareTimeObjects(Time t1, Time t2) {
    int status = t1.compareTo(t2);
    if (status == 0) {
      System.out.println("EQUAL start and end times " + t1 + 
                         " - CHECK YOUR WATCH!");
    } else if (status < 0) {
      System.out.println("Started working " + t1 + " before ending " + t2
                         + " - OK.");
    } else {
      System.out.println("Ended working " + t1 + " before starting " + t2
                         + " - YIKES!");
    }
  }
}