
public class Speed3 {

  public static void main(String[] args) {
    System.out.println("Entering main().");
    try {                                                         // (1)
      printSpeed(100,20);                                         // (2)
    }
    catch (ArithmeticException exception) {                       // (3)
      System.out.println(exception + " (handled in main())");
    }
    System.out.println("Returning from main().");
  }

  private static void printSpeed(int kilometers, int hours) {
    System.out.println("Entering printSpeed().");
    try {                                                         // (4)
      int speed = calculateSpeed(kilometers, hours);              // (5)
      System.out.println("Speed = " +
                          kilometers + "/" + hours + " = " + speed);
    }
    catch (IllegalArgumentException exception) {                  // (6)
      System.out.println(exception + " (handled in printSpeed())");
    }
    System.out.println("Returning from printSpeed().");
  }

  private static int calculateSpeed(int distance, int time) {
    System.out.println("Calculating speed.");
    return distance/time;                                         // (7)
  }
}