import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

class Reading {

  public static void main(String[] args) throws IOException {
    BufferedReader textReader = openFileForRead("preciousData.txt");
    readFromFile(textReader);
    closeReadFile(textReader);
  }

  static BufferedReader openFileForRead(String dataFileName)
                        throws IOException {
    FileReader textFileReader = new FileReader(dataFileName);
    BufferedReader textReader = new BufferedReader(textFileReader);
    return textReader;
  }

  static void readFromFile(BufferedReader textReader) throws IOException {
    System.out.println(textReader.readLine());
  }

  static void closeReadFile(BufferedReader textReader) throws IOException {
    textReader.close();
  }
}