class Point3D extends Point2D {
  double z;
  Point3D() {
    // super();      // Superclass Point2D has no default constructor
    x = 0;
    y = 0;
    z = 0;
  }
  Point3D(double x, double y, double z) {
    super(x, y);
    // super.z = z;
    // Point2D has no z-coordinate
    this.z = z;
  }
  void printState() {
    System.out.println("Point3D: x= " + super.x + " y= " + super.y +
    //  " z= " + super.z);
    // see comment in constructor
      " z= " + z);
  }
  double calculateDistance(double x3, double y3, double z3) {
    double distance = Math.sqrt((x3-x)*(x3-x)+
                               (y3-y)*(y3-y)+(z3-z)*(z3-z));
    return distance;
  }
}