/**
 * Uses a superclass reference to refer to a subclass object.
 */
class SuperIsDuper {
  public static void main(String[] args) {
    // A superclass reference can refer to a subclass object.
    EmployeeV0 employee = new ManagerV0("John D.", "Boss", 60.0);

    // Inherited fields and methods can be accessed by a superclass reference.
    employee.firstName = "Hugo";
    employee.printState();

    // But a superclass reference cannot refer to a subclass member:
    // employee.managerBonus = 105.0; // Compile-time error!
  }
}