import java.util.Scanner;

public class LottoGame{
  public static void main(String[] args) {
    // Problem (a) Create and print a lotto row
    LottoRow lotto = new LottoRow();
    lotto.makeALottoDraw();
    // System.out.println(lotto.toString());
    // printRow(lotto);
    // Problem (b) Let the user type in her/her row of lotto numbers, and
    // compare them to the lotto draw.
    System.out.println("Type your lotto numbers:");
    int[] userNumbers = new int[lotto.MAX_COUNT];
    Scanner keyboard = new Scanner(System.in);
    for (int i = 0; i < lotto.MAX_COUNT; i++) {
      System.out.print("Number " + (i+1) + ": ");
      userNumbers[i] = keyboard.nextInt();
    }
    LottoRow userRow = new LottoRow(userNumbers);
    if (lotto.equals(userRow)) {
      System.out.println("Congratulations!");
    } else {
      System.out.println("Sorry, you didn't win today...");
    }
  }
  public static void printRow(LottoRow lotto) {
    System.out.print("Lotto row: ");
    for (int i = 0; i < lotto.MAX_COUNT; i++) {
      System.out.print(lotto.getBall(i) + " ");
    }
    System.out.println();
  }
}