final class Rectangle {
  // Sides of the rectangle:
  double length;
  double width;

  public Rectangle(double length, double width) {
    assert length >= 0.0 && width >= 0.0 : "Dimension cannot be negative.";
    this.length = length;
    this.width = width;
  }
  public double getLength() { return length; }
  public double getWidth() { return width; }
  public double area() { return length * width; }
}