class UsingInterfaceReferences {
  public static void main(String[] args) {
    // (1) Create 2 employees and 2 students:
    EmployeeV1 employee1 = new EmployeeV1("Al", "Hansen", 325.0);
    EmployeeV1 employee2 = new EmployeeV1("Jackie", "Jones", 300.0);
    Student student1 = new Student("Peter", "Jablonski", 35);
    Student student2 = new Student("Lars", "Larsen", 30);

    // (2) Create 3 arrays:
    // one with employees only,
    // one with students only, and
    // one with both employees and students:
    EmployeeV1[] empArray = {employee1, employee2};
    Student[] studArray = {student1, student2};
    ISportsClubMember[] memArray = {employee1, student2};

    // (3) Print the fees for arrays created in (2):
    System.out.println("Employees only:");
    printFee(empArray);
    System.out.println("Students only:");
    printFee(studArray);
    System.out.println("Sports club members:");
    printFee(memArray);
  }

  // Takes an array of ISportsClubMembers and prints the fee for each member.
  static void printFee(ISportsClubMember[] members) {         // (4)
    for (ISportsClubMember member : members) {
      System.out.printf(member.getClass().getSimpleName() +   // (5)
          ": %.2f GBP%n",
          member.calculateFee());
    }
  }
}