// File: GameSimulator.java
public class GameSimulator {
  public static GameBoard buildGameBoard(String moveSequence) {
    GameBoard board = new GameBoard();
    for (int i = 0; i < moveSequence.length(); ++i) {
      boolean isEvenNumberedMove = i % 2 == 0;
      char piece = 'X';
      if (!isEvenNumberedMove)
        piece = 'O';
      String digit = moveSequence.substring(i, i + 1);
      int column = Integer.parseInt(digit);
      board.dropPieceDownColumn(piece, column);
    }
    return board;
  }
}