import java.util.ArrayList;
import java.util.List;

public class GenericMethods {
  public static void main(String[] args) {

    String[] strArray = {":-(", ";-)",":-)"};
    List<String> strList = arrayToList(strArray);      // T is String.
    Integer[] intArray = {2007, 7, 2};
    List<Integer> intList = arrayToList(intArray);     // T is Integer.
  }

  public static <T> List<T> arrayToList(T[] array) { // (1)
    List<T> list = new ArrayList<T>();  // Create an empty list.
    for (T element : array)             // Traverse the array.
      list.add(element);                // Copy current element to list.
    return list;                        // Return the list.
  }
}