import java.util.ArrayList;
import java.util.List;

public class ListClient {

  static final String CENSORED = "CENSORED";

  public static void main(String args[]) {
    // (1) Read words from the command line into a word list:
    List<String> wordList = new ArrayList<String>();
    for (int i = 0; i < args.length; i++)
      wordList.add(args[i]);
    System.out.println("Original word list: " + wordList);

    // (2) Create a list with words that are censored:
    List<String> censoredWords = new ArrayList<String>();
    censoredWords.add("fun");
    censoredWords.add("cool");
    censoredWords.add("easy");

    // (3) Censor the word list:
    for (String element : wordList) {
      if (censoredWords.indexOf(element) != -1) {
        int indexInWordList = wordList.indexOf(element);
        wordList.set(indexInWordList, CENSORED);
      }
    }

    // (4) Print the censored list:
    System.out.println("Censored word list: " + wordList);
  }
}