import java.util.Iterator;
/**
 * Iterator for double linked lists
 * Can only iterate in forward direction.
 */
public class DoubleLinkedListIterator<E> implements Iterator<E> {
  private BiNode<E> currentNode;

  public DoubleLinkedListIterator(IDoubleLinkedList<E> list) {
    currentNode = list.first();
  }

  public boolean hasNext() {
    return currentNode != null;
  }

  public E next() {
    E data = currentNode.getData();
    currentNode = currentNode.getNext();
    return data;
  }

  public void remove() {
    throw new UnsupportedOperationException();
  }
}