
public class OrderedNode<T extends Comparable<T>> {
  /** Data in the node. */
  private T data;
  /** Reference to the next node. */
  private OrderedNode<T> next;

  // Constructor
  public OrderedNode(T data_obj, OrderedNode<T> nodeRef)
  { data = data_obj; next = nodeRef; }

  // Selectors
  public T getData()  { return data; }
  public OrderedNode<T> getNext() { return next; }

  // Mutators
  public void setData(T  obj)  { data = obj; }
  public void setNext(OrderedNode<T> node) { next = node; }
}