// Iterative Fibonacci calculation.
public class IterativeFibonacci {
  public static void main(String[] args) {
    System.out.println("The 45th number in the Fibonacci sequence is " +
        fibonacci(45));
  }

  static int fibonacci(int n) {
    int nextToLast = 1;
    int last = 1;
    for (int i = 3; i <= n; i++) {
      // Calculate a new Fibonacci number.
      int next = last + nextToLast;

      // Store the last two Fibonacci numbers in the series so far:
      nextToLast = last;
      last = next;
    }
    return last;
  }
}