// Recursive Fibonacci calculation - naive version.
public class NaiveFibonacciTimed {
  public static void main(String[] args) {
    long startTime = System.nanoTime();  // Current time in nanoseconds      (1)
    System.out.println("The 45th number in the Fibonacci sequence is " +
                       fibonacci(45));   // The code to be timed.
    System.out.println("Execution time: " +
                       (System.nanoTime()-startTime) + "ns");             // (2)
  }

  static int fibonacci(int n) {
    if (n < 3)
      return 1;

    return fibonacci(n - 2) + fibonacci(n - 1);
  }
}