
public class CheckedException {

  public static void main(String[] args) throws ChoiceException {
    test(-1);
    System.out.println("main(): done");
  }

  private static void test(int choice) throws ChoiceException {
    if (choice < 0)
      throw new ChoiceException("Choice < 0");
    else if (choice > 0)
      throw new ChoiceException("Choice > 0");
    else
      throw new ArithmeticException("Choice == 0");
  }
}

class ChoiceException extends Exception {
  public ChoiceException(String message) { super(message); }
}