final class PermanentEmployee extends Employee {
  // Constructors
  public PermanentEmployee() { /* Default values for all fields. */ }
  public PermanentEmployee(String firstName, String lastName,
                           double hourlyRate, Gender gender) {
    super(firstName, lastName, hourlyRate, gender);
  }

  // Overrides method in the superclass Employee.
  public double computeSalary(double numOfHours) {
    return hourlyRate * Employee.NORMAL_WORKWEEK;
  }

  public String toString() {
    return super.toString() + "\nis permanent employee.";
  }
}