import java.io.*;

public class TextFileReader {
  public static void main(String[] args) {
    try {
      // Create streams for reading the file.                  (9)
      FileReader fileReader = new FileReader("test.txt");
      BufferedReader textReader = new BufferedReader(fileReader);

      String line = textReader.readLine();
      while (line != null) {
        System.out.println(line);
        line = textReader.readLine();
      }

      // String line = null;
      do {
        line = textReader.readLine();
        System.out.println(line);
      } while (line != null);

      textReader.close();                                    // (12)
    }
    catch (IOException exception) {
      System.out.print("Error reading from file: " + exception);
      System.exit(1);
    }
  }
}