import java.io.*;

class TextRepresentation {

  public static void main(String[] args) throws IOException {
    FileWriter fileWriter = new FileWriter("textrepresentation.txt");
    PrintWriter printWriter = new PrintWriter(fileWriter);

    Employee employee = new Employee("Ole", "Olsen", 515.00, Gender.MALE);
    PersonnelRegister register = new PersonnelRegister();
    register.registerEmployee(employee);
    String str = "You are welcome!";

    printWriter.println(employee); // "First name: Ole ... "
    printWriter.println(register); // "The company has 1 ..."
    printWriter.println(str);      // "You are welcome!"
    printWriter.println(true);     // "true"
    printWriter.println(false);    // "false"
    printWriter.println(2001);     // "2001"
    printWriter.println(3.14);     // "3.14"

    System.out.println(employee);
    System.out.println(register);
    System.out.println(str);
    System.out.println(true);
    System.out.println(false);
    System.out.println(2001);
    System.out.println(3.14);
  }
}