import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextField;

class GUICounter extends JFrame implements ActionListener {

  private JButton buttonPlus;
  private JButton buttonMinus;
  private JTextField integerField;

  private int counter;

  GUICounter() {
    super("One listener and two sources");

    integerField = new JTextField("0", 10);
    integerField.setEditable(false);
    buttonPlus = new JButton("Plus");
    buttonMinus = new JButton("Minus");

    JPanel panel = new JPanel();
    panel.add(integerField);
    panel.add(buttonPlus);
    panel.add(buttonMinus);
    getContentPane().add(panel);

    buttonPlus.addActionListener(this);
    buttonMinus.addActionListener(this);

    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    pack();
    setVisible(true);
  }

  public void actionPerformed(ActionEvent event) {
    if (buttonPlus == event.getSource())
      ++counter;
    else
      --counter;
    integerField.setText("" + counter);
  }
}