import java.util.Scanner;
class Grade {
  public static void main(String[] args) {
    // Limits for student ids and numober of points
	final int MIN_STUDENT_ID = 2;
	final int MAX_STUDENT_ID = 200;
	final double MIN_POINTS = 0.0;
	final double MAX_POINTS = 100.0;
	// Student id, points on exam and grade
	int studentId;
	double points;
	char grade;
	// Read data for a student
	Scanner keyboard = new Scanner(System.in);
	System.out.print("Input student id [integer]: ");
	studentId = keyboard.nextInt();
    System.out.print("Input number of points [decimal number]: ");
    points = keyboard.nextDouble();
    // Check validity of input data
    assert ((studentId >= MIN_STUDENT_ID) && (studentId <= MAX_STUDENT_ID)
            && (studentId % 2 == 0)) :
           "\nInvalid student id " + studentId +
            "\nAllowed values are even integers from "
            + MIN_STUDENT_ID + " to " + MAX_STUDENT_ID;
    assert (points >= 0.0) && (points <= 100.0) :
        ("\nInvalid number of points for the exam: " + points +
         "\nAllowed values range from " + MIN_POINTS + " to " + MAX_POINTS);
    // Calculate grade
    if (points >= 91.0)
        grade ='A';
    else if (points >= 81.0)
    	grade ='B';
    else if (points >= 61.0)
    	grade ='C';
    else if (points >= 41.0)
    	grade = 'D';
    else if (points >= 15.0)
    	grade = 'E';
    else
        grade ='F';
    // Check grade

    // Print assigned grade
    System.out.printf("Student with id %d gets grade %c%n", studentId, grade);
  }
}