// Equality and Auto-boxing
public class EqualityAndAutoboxing {

    public static void main(String[] args) {

    Integer a = new Integer(12);
    Integer b = 12;
    int     c = 12;
    Object  d = new Long(12);
    Object  e = 12;

    //let's go through it systematically:
    if (a == b) System.out.println("a == b");
    if (a == c) System.out.println("a == c");
    if (a == d) System.out.println("a == c");
    if (a == e) System.out.println("a == d");
    if (b == c) System.out.println("b == c");
    if (b == d) System.out.println("b == d");
    if (b == e) System.out.println("b == e");
    if (c == d) System.out.println("c == d");
    if (c == e) System.out.println("c == e");
    if (d == e) System.out.println("d == e");
    if (a.equals(b)) System.out.println("a and b are equals");
    if (a.equals(c)) System.out.println("a and c are equals");
    if (a.equals(d)) System.out.println("a and c are equals");
    if (a.equals(e)) System.out.println("a and e are equals");
    if (b.equals(c)) System.out.println("b and c are equals");
    if (b.equals(d)) System.out.println("b and d are equals");
    if (b.equals(e)) System.out.println("b and e are equals");
    if (c.equals(d)) System.out.println("c and d are equals");
    if (c.equals(e)) System.out.println("c and e are equals");
    if (d.equals(e)) System.out.println("d and e are equals");
    //so you want it the hard way?
    if (a.intValue() == ((Long)b).longValue()) System.out.println("EQ ab");
    if (a.intValue() == ((Long)d).longValue()) System.out.println("EQ ac");
    if (a.intValue() == ((Long)d).longValue()) System.out.println("EQ ac");
    if (new Integer(2).equals(new Integer(2))) System.out.println("equals new");

    }
}