// Conversions: string --> wrapper --> primitive
public class PrimitiveValueRepresentation {
  public static void main(String[] args) {
    String string1, string2;

    // Case A: string --> wrapper --> primitive --> string
    string1 = "2005";
    Integer iWrapper = new Integer(string1);
    int iPrimitive = iWrapper;
    string2 = Integer.toString(iPrimitive);
    assert(string1.equals(string2));  // (1)

    // Case B: string --> primitive --> wrapper --> string
    string1 = "12.5";
    double dPrimitive = Double.parseDouble(string1);
    Double dWrapper = dPrimitive;
    string2 = dWrapper.toString();
    assert(string1.equals(string2));  // (2)
  }
}