import java.util.Scanner;
public class ArrayIteration1 {

  public static void main(String[] args) {
    // Array with the names of week days
    String[] daysOfTheWeek = {"Monday", "Tuesday", "Wednesday",
                              "Thursday", "Friday", "Saturday", "Sunday"};
    // Array with the no. of text messages sent during a day.
    int[] noOfTextMessages = new int[7];

    // Explicit initialisation
    noOfTextMessages[0] = 20;                        // Monday
    noOfTextMessages[1] = 12;                        // Tuesday
    noOfTextMessages[2] = 13;                        // Wednesday
    noOfTextMessages[3] = noOfTextMessages[1];       // Thursday
    noOfTextMessages[4] = 10;                        // Friday
    noOfTextMessages[5] = noOfTextMessages[0];       // Saturday
    noOfTextMessages[6] = noOfTextMessages[2] + 4;   // Sunday

    // Setup to read from the terminal window.
    Scanner keyboard = new Scanner(System.in);

    // Problem (1) Find how many days have a number of text messages
    // equal to or greater than a specified lower bound.
    System.out.print("Enter the lower bound for " +
                     "the no. of text messages: ");
    int lowerBound = keyboard.nextInt();
    int noOfDays = 0;
    for (int index = 0; index < noOfTextMessages.length; index++) {
      if (noOfTextMessages[index] >= lowerBound) {
        noOfDays++;
      }
    }
    System.out.println("No. of days with more than " + lowerBound +
                       " text messages: " + noOfDays);

    // Problem (2) Find the lowest number of messages sent during the week.
    int lowestNoOfTextMessages = noOfTextMessages[0];
    for (int index = 1; index < noOfTextMessages.length; index++) {
      if (lowestNoOfTextMessages > noOfTextMessages[index]) {
        lowestNoOfTextMessages = noOfTextMessages[index];
      }
    }
    System.out.println("Lowest no. of text messages: " +
                        lowestNoOfTextMessages);

    // Problem (3) Find the highest no. of text messages sent during
    // the week and the days on which that number of messages were sent.
    // Find the highest no. of text messages sent during a day.
    int highestNoOfTextMessages = 0;
    for (int index = 0; index < noOfTextMessages.length; index++) {
      if (highestNoOfTextMessages < noOfTextMessages[index]) {
        highestNoOfTextMessages = noOfTextMessages[index];
      }
    }
    System.out.println("Highest no. of text messages: " +
                        highestNoOfTextMessages);
    // Print all days with the highest no.of text messages sent.
    System.out.println("Days with the highest no. of text messages:");
    for (int index = 0; index < noOfTextMessages.length; index++) {
      if (highestNoOfTextMessages == noOfTextMessages[index]) {
        System.out.println(daysOfTheWeek[index]);
      }
    }

    // Problem (4) Find the total number of messages sent during the week.
    int totalNoOfTextMessages = 0;
    for (int index = 0; index < noOfTextMessages.length; index++) {
      totalNoOfTextMessages += noOfTextMessages[index];
    }
    System.out.println("Total no. of text messages: " +
                        totalNoOfTextMessages);
  }
}