import java.util.Random;
import java.util.Scanner;
// Simulates dice roll using a pseudo-random number generator, and
// computes the frequency of two dice values [2,12] and their probability
public class TwoDiceRollFrequency {
  public static void main(String[] args) {

    // Array for counting the frequency of two-dice values.
    int[] frequency = new int[13]; // Ignore frequency[0] and frequency[1].
    Scanner keyboard = new Scanner(System.in);
    System.out.print("Enter the number of times to roll the two dice: ");
    int noOfThrows = keyboard.nextInt();

    Random generator = new Random();  // Pseudo-random number generator

    for (int i = 1; i <= noOfThrows; i++) {
      // Roll two dice.
      int result = (1 + generator.nextInt(6)) + // 1st die
                   (1 + generator.nextInt(6));  // 2nd die
      // Increment the frequency of the value for two dice.
      frequency[result]++;
    }

    for (int i = 2; i < frequency.length; i++) {
      System.out.printf("Sum of two dice values: %2d, " +
        "no. of times: %4d, probability: %.2f%n",
         i, frequency[i], ((double)frequency[i]/noOfThrows));
    }
  }
}