// Passing arrays
public class Client3B {

  public static void main(String[] args) {
    // (1) Associated arrays with information about employees:
    String[] firstNameArray = { "Tom", "Dick", "Linda" };
    String[] lastNameArray = { "Tanner", "Dickens", "Larsen" };
    double[] hourlyRateArray = { 30.00, 25.50, 15.00 };
    boolean[] genderArray = { false, false, true };

    // (2) Array with employees:
    EmployeeV3[] employeeArray = new EmployeeV3[3];

    // (3) Create all employees:
    for (int i = 0; i < employeeArray.length; i++) {
      employeeArray[i] = new EmployeeV3();
      employeeArray[i].setState(firstNameArray[i], lastNameArray[i],
                                hourlyRateArray[i], genderArray[i]);  // (4)
    }

    // (5) Array with hours worked by each employee:
    double[] hoursArray = { 50.5, 32.8, 66.0 };
    
    // (6) Compute the salary for all employees:
    computeSalaries(employeeArray, hoursArray);
  }

  // (7) Compute the salary for all employees:
  static void computeSalaries(EmployeeV3[] employees,
                              double[] hours) {
    for (int i = 0; i < employees.length; i++) {
      System.out.printf("Salary for %s %s: %.2f%n", 
                         employees[i].firstName,
                         employees[i].lastName,
                         employees[i].computeSalary(hours[i]));
    }
  }
}