// Using overloaded constructors
public class Client7 {

  public static void main(String[] args) {

    // Print information in class EmployeeV7
    System.out.println("Printing information in class EmployeeV7:");
    EmployeeV7.printStatistics();

    // Create an employee, and print its information
    EmployeeV7 guard1 = new EmployeeV7();                           // (4)
    printEmployeeInfo(guard1, 50);

    // Create an employee, and print its information
    EmployeeV7 guard2 = new EmployeeV7("Tim", "Turner",
                                        EmployeeV7.MALE);           // (5)
    printEmployeeInfo(guard2, 40);

    // Create a new employee, and print its information
    EmployeeV7 guard3 = new EmployeeV7("Amy", "Archer", 20.50,
                                        EmployeeV7.FEMALE);         // (6)
    printEmployeeInfo(guard3, 35);

    // Print information in class EmployeeV7
    System.out.println("\nPrinting information in class EmployeeV7:");
    EmployeeV7.printStatistics();
  }
  
  static void printEmployeeInfo(EmployeeV7 employee, double numOfHours) {
    System.out.println();
    System.out.println("Printing information about an employee:");
    employee.printState();
    System.out.printf("Salary: %.2f%n", 
                       employee.computeSalary(numOfHours));
  }
}