import java.util.Scanner;

public class BetterComparison {
  public static void main(String[] args) {
    
    // Uses the class EmployeeV7 from Chapter 7.
    EmployeeV7 employeeA = new EmployeeV7();
    EmployeeV7 employeeB = new EmployeeV7();

    System.out.printf("Input information about employee A:\n");  // (1)
    inputEmployeeInfo(employeeA);

    System.out.printf("Input information about employee B:\n");  // (2)
    inputEmployeeInfo(employeeB);

    if (employeeA.hourlyRate == employeeB.hourlyRate) {
      System.out.printf("Both earn $%.2f per hour.\n", 
                        employeeA.hourlyRate);
    } else {
      EmployeeV7 higherPaid;
      if (employeeA.hourlyRate > employeeB.hourlyRate) {         // (3)
        higherPaid = employeeA;
      } else {
        higherPaid = employeeB;
      }

      System.out.printf("%s %s has the higher hourly rate: $%.2f "
                        + "per hour.\n",
                        higherPaid.firstName,                    // (4)
                        higherPaid.lastName,
                        higherPaid.hourlyRate);
    }
  }

  static void inputEmployeeInfo(EmployeeV7 anEmployee) {
    Scanner input = new Scanner(System.in);
    System.out.printf("- First name: ");
    anEmployee.firstName = input.nextLine();
    System.out.printf("- Surname: ");
    anEmployee.lastName = input.nextLine();
    System.out.printf("- Hourly rate: ");
    anEmployee.hourlyRate = input.nextDouble();
    input.nextLine(); // skip rest of the line
  }
}