// Sorting a CD selection.
import java.util.Arrays;
public class CDCollection {
  public static void main(String[] args) {
    CD2[] inventory = { new CD2("The Band", "Greatest Hits", 2006, 9.95),
                        new CD2("Thorn", "The Album", 2005, 7.55),
                        new CD2("The Band", "Greatest Hits", 2004, 8.95),
                        new CD2("ZZZ", "ZZZ Songs", 2007, 12.95) }; // (1)
    CD2 key = new CD2("The Band", "Greatest Hits", 2004, 8.95);     // (2)
    System.out.println("CD list:");
    for (CD2 cd : inventory) {
        System.out.println(cd);
    }
    GenericUtility.sortBySelection(inventory);                      // (3)
    System.out.println("Sorted CD list:");
    for (CD2 cd : inventory) {                                      // (4)
        System.out.println(cd);
    }
    System.out.println("Searching:");
    int index = GenericUtility.binarySearch(inventory, key);        // (5)
    if (index > -1) {
      System.out.println("Found " + key + " at index " + index);    // (6)
    } else {
      System.out.println("Item " + key + " was not found!");        // (7)
    }
  }
}
