// Program for sorting an array with user-defined integers
import java.util.Scanner;
public class SortingUserData {
  public static void main(String[] args) {
    System.out.println("Sorting an array of integers");
    System.out.print("Enter the number of values in the table [integer]: ");
    Scanner keyboard = new Scanner(System.in);
    int numValues = keyboard.nextInt();

    assert numValues > 0 : "Must have at least one element in the array.";
    int[] numbers = new int[numValues];

    for (int i=0; i<numValues; i++) {
      System.out.print("Enter element value #" + (i+1) + ": ");
      numbers[i] = keyboard.nextInt();
    }

    Utility.printArray("Unsorted array: ", numbers);
    Utility.sortBySelection(numbers);
    Utility.printArray("Array sorted by selection sort: ", numbers);
  }
}