// Program for testing the equality operator for floating-point values
public class TestDecimalEquality {
  public static void main(String[] args) {
    final double ONE_THIRD = 0.333333333333;
    double ratio = 1.0/3.0;
    System.out.println("ONE_THIRD " + ONE_THIRD);
    System.out.println("ratio  " + ratio);
    double epsilon = 0.000000000001; //1.0E-12;
    System.out.println("epsilon  " + epsilon);
    assert ratio - ONE_THIRD <= epsilon :                          // (1)
      "(1) ERROR: " + ratio + " is different from " + ONE_THIRD;
    assert ratio == ONE_THIRD :                                    // (1)
        "(2) ERROR: " + ratio + " is different from " + ONE_THIRD;
    System.out.println("Done " + (ratio - ONE_THIRD));
  }
}