
public class Speed2 {

  public static void main(String[] args) {
    System.out.println("Entering main().");
    printSpeed(100, 20);                                     // (1)
    System.out.println("Returning from main().");
  }

  private static void printSpeed(int kilometers, int hours) {
    System.out.println("Entering printSpeed().");
    try {                                                    // (2)
      int speed = calculateSpeed(kilometers, hours);         // (3)
      System.out.println("Speed = " +
                          kilometers + "/" + hours + " = " + speed);
    }
    catch (ArithmeticException exception) {                  // (4)
      System.out.println(exception + " (handled in printSpeed())");
    }
    System.out.println("Returning from printSpeed().");
  }

  private static int calculateSpeed(int distance, int time) {
    System.out.println("Calculating speed.");
    return distance/time;                                    // (5)
  }
}