
public class Speed6 {

  public static void main(String[] args) {
    System.out.println("Entering main().");
    try {                                                    //(1)
//    printSpeed(100, 20);                                   //(2a)
      printSpeed(-100,20);                                   //(2b)
    }
    catch (Exception exception) {                            //(3)
      System.out.println(exception + " (handled in main())");
    }
    System.out.println("Returning from main().");
  }

  private static void printSpeed(int kilometers, int hours)
                      throws Exception {                     //(4)
    System.out.println("Entering printSpeed().");
    double speed = calculateSpeed(kilometers, hours);
    System.out.println("Speed = " +
                        kilometers + "/" + hours + " = " + speed);
    System.out.println("Returning from printSpeed().");
  }

  private static int calculateSpeed(int distance, int time)
                     throws Exception {                      //(5)
    System.out.println("Calculating speed.");
    if (distance < 0 || time <= 0)                           //(6)
      throw new Exception("distance and time must be > 0");
    return distance/time;
  }
}