class BasicPlayer {
  /** Returns the name of the player. Note that a player of this class
   *  does not have a name. Thus, a standard name is returned.
   */
  public String getName() {
    return "basic-player";
  }
  /** Returns a Move object containing information about
      which row the player wants to remove sticks from and
      how many sticks the player wants to remove.
      An overview of the count of sticks left in the rows is specified
      as an array of integers.
      If row 0 has 5 sticks left, rows[0] will be equal to 5.
      The players of this class are naive, and do not know
      how to play the game. Therefore, the player always removes
      one stick from row 0.
   */
  public Move nextMove(int[] rows){
    /* Creates a Move object and returns it. Sends the requests for
     * a move as argument to the constructor of the Move class.
     */
    return new Move(1,    // Wants to remove 1 stick
                    0);   // from row 0

  }
}