import java.util.Scanner;
/**
 * The main class for the Nim game.
 */
public class Nim {
  public static Scanner keyboard = new Scanner(System.in);
  public static void main(String args[]){
    BasicPlayer player[] = new BasicPlayer[2];
    String playerType;
    int numRows, numSticks;
    for (int i=0; i<2; i++){
      System.out.print("Is player " + (i+1) + " a Computer or a Human? (c/h)");
      playerType = keyboard.next();
      if (playerType.compareTo("c")==0) {
        System.out.println("Computer player created...");
        player[i] = new ComputerPlayer();
      }
      // If "d" isn't chosen, a human player is selected.
      // This could have been more robust...
      else{
        player[i] = new RealPlayer();
      }
    }
    System.out.println("How many rows do you want in the game?");
    numRows = keyboard.nextInt();
    while(numRows<1){
      System.out.println("There must be at last one row");
      numRows = keyboard.nextInt();
    }
    int[] rows = new int[numRows];
    for ( int rowNumber = 0; rowNumber < numRows; rowNumber++){
      System.out.println("How many sticks do you want in row " + rowNumber + "?");
      rows[rowNumber] = keyboard.nextInt();
      while(rows[rowNumber]<1){
        System.out.println("There has to be at least one stick in the row");
        rows[rowNumber] = keyboard.nextInt();
      }
    }
    Game aGame = new Game(player[0], player[1], rows);
    aGame.start();
  }
}