import java.util.Scanner;
/**
 * The class plays a simple game of Nim between two basic players.
 */
public class SimpleNim {
  public static Scanner keyboard = new Scanner(System.in);
  public static void main(String[] args){
    BasicPlayer player[] = new BasicPlayer[2];
    int numRows, numSticks;

    player[0] = new BasicPlayer();
    player[1] = new BasicPlayer();

    System.out.println("How many rows do you want in the game?");
    numRows = keyboard.nextInt();
    while(numRows<1){
      System.out.println("There must be at last one row");
      numRows = keyboard.nextInt();
    }

    int[] rows = new int[numRows];
    for (int rowNumber = 0; rowNumber < numRows; rowNumber++) {
      System.out.println("How many sticks do you want in row  " + rowNumber + "?");
      rows[rowNumber] = keyboard.nextInt();
      while(rows[rowNumber] < 1){
        System.out.println("There has to be at least one stick in the row");
        rows[rowNumber] = keyboard.nextInt();
      }
    }

    Game aGame = new Game(player[0], player[1], rows);
    aGame.start();
  }
}