/**
 * Calculates the salary for different types of employees.
 */
class EmployeeArray {
  static EmployeeV0[] empArray = {                             // (1)
      new EmployeeV0("John", "Doe", 30.0),
      new HourlyWorkerV0("Mary", "Smith", 35.0),
      new PieceWorkerV0("Ken", "Jones", 12.5, 75),
      new ManagerV2("John D.", "Boss", 60.0, 105.0),
  };

  static double[] empHours = { 37.5, 25.0, 30.0, 45.0 };       // (2)

  public static void main(String[] args) {
    // Traverses the employee array and prints selected properties for each
    // employee in the array.
    for (int i=0; i<empArray.length; i++){
      System.out.printf(
          "Employee no. %d: %s %s has a weekly salary of %.2f GBP%n",
          i+1,
          empArray[i].firstName,                               // (3)
          empArray[i].lastName,                                // (4)
          empArray[i].calculateSalary(empHours[i]));           // (5)
    }
  }
}