// Using an abstract class.
public class EmployeeClient {
  public static void main(String[] args) {
    //  EmployeeVA employee = new EmployeeVA(); // Compile-time error,
                                                // EmployeeVA is abstract
    EmployeeVA employee = new PermanentEmployee("Mel", "Ross", 40.0);  // (1)
    System.out.println("Information about a permanent employee:");
    System.out.printf(
      "Hourly rate is %.2f GBP and weekly salary is %.2f GBP%n",
      employee.hourlyRate,                                             // (2)
      employee.calculateSalary(42.0));                                 // (3)
    }
}