import java.util.Scanner;
/**
 * Uses polymorphism to calculate the weekly salary of any kind of employee.
 */
public class SalaryManager2 {
  public static void main(String[] args) {

    Employee empArray[] = new Employee[2];
    Scanner keyboard = new Scanner(System.in);

    // Create two employees:
    for (int i = 0; i < 2; i++) {
      // Chose which type of employee to create.
      System.out.println("Types of employees:");
      System.out.println(" 1 - Employee");
      System.out.println(" 2 - Hourly worker");
      System.out.println(" 3 - Manager");
      System.out.println(" 4 - Piece worker");
      System.out.print("Chose a category: ");
      int employeeCode = keyboard.nextInt();                            // (1)

      // Creates an employee of the chosen type
      switch (employeeCode) {
        case 1:
          empArray[i] = new Employee("John", "Doe", 30.0);              // (2)
          break;
        case 2:
          empArray[i] = new HourlyWorker("Mary", "Smith", 35.0);        // (3)
          break;
        case 3:
          empArray[i] = new Manager("John D.", "Boss", 60.0, 105.0);    // (4)
          break;
        case 4:
          empArray[i] = new PieceWorker("Ken", "Jones", 12.5, 75);      // (5)
          break;
        default:
          System.out.println("Invalid category - creats an Employee");
          empArray[i] = new Employee("Mark", "Spencer", 25.0);          // (6)
          break;
      }

      // Prints the state and weekly salary for the employee:
      System.out.println("Employee information:");
      System.out.println(empArray[i]);                                  // (7)
      System.out.printf("Weekly salary: %.2f GBP%n",
                        empArray[i].calculateSalary(42.5));             // (8)
    }

    // Check if the two employees are equal:
    if (empArray[0].equals(empArray[1])) {
      System.out.println("Employees are equal!");
    } else {
      System.out.println("Employees are different!");
    }
  }
}
