/**
 * Using an interface reference.
 */
class TestManagerV3 {
  public static void main(String[] args) {
    // Creates a manager referred to by an interface reference:
    IUnionMember member = new ManagerV3("Kim", "Brown", 55.0, 235.0);  // (1)

    // Cannot print information or calculate the salary for a manager
    // using an interface reference:
    // member.printState();                                            // (2)
    // System.out.printf("Weekly salary: %.2f GBP%n",
    //                  member.calculateSalary(50.5));                 // (3)

    // Can calculate the membership fee:
    System.out.printf("Union fee: %.2f GBP%n",
                      member.calculateFee(3727.50,
                      IUnionMember.MIDDLE_MANAGEMENT));                // (4)
  }
}