// File: TestGameBoard.java
public class TestGameBoard {
  public static void main(String[] args) {
    testEmptyCell();
    testDropPiece();
  }

  public static void testEmptyCell() {
    GameBoard board = new GameBoard();
    // Bottom row has index 0.
    int row = 0;
    // The leftmost column also has index 0
    int column = 0;

    // Period ('.') denotes an empty cell.
    assert board.pieceAt(column, row) == '.';
  }

  public static void testDropPiece() {
    GameBoard board = new GameBoard();
    int column = 0;
    board.dropPieceDownColumn('X', column);
    // The piece should now reside at the bottom row of the leftmost column:
    assert board.pieceAt(0, 0) == 'X';
  }
}