/** An easy game in which the user plays against a computer 
    adversary that chooses moves at random. */
public class EasyGame {
  public static void main(String args[]) {
    GameTextUserInterface ui = new GameTextUserInterface();
    IPlayer[] players = new IPlayer[]
      { new TerminalPlayer(ui), new RandomPlayer() };          // (1)
    ui.board.setPlayers(players);                              // (2)
    ui.runGameLoop();
  }
}