// File: RandomPlayer.java
public class RandomPlayer implements IPlayer {
  public void performMove(GameBoard board) {
    assert !board.isGameOver();

    int choice;
    do {
      choice = (int) (Math.random() * GameBoard.COLUMN_COUNT); // (4)
    } while (!board.isValidColumnSelection(choice));

    board.dropPieceDownColumn(board.nextPiece(), choice);      // (5)
  }
}