// File: TerminalPlayer.java
public class TerminalPlayer implements IPlayer {
  GameTextUserInterface ui;

  TerminalPlayer(GameTextUserInterface ui) {
    this.ui = ui;                                              // (2)
  }

  public void performMove(GameBoard board) {
    assert !board.isGameOver();
    assert board == ui.board;
    board.dropPieceDownColumn(board.nextPiece(),
                                ui.requestColumnSelection());  // (3)
  }
}