import java.util.List;
import java.util.Collections;
import java.util.Arrays;

public class SortingAndSearchingLists {
  public static void main(String[] args) {
    Integer[] numArray = {8, 4, 2, 6, 1};
    // Create a list from numArray.
    List<Integer> numList = Arrays.asList(numArray);

    // Sort the list.
    System.out.println("Unsorted list: " + numList);
    Collections.sort(numList);
    System.out.println("Sorted list: " + numList);

    // Search in the list.
    int index = Collections.binarySearch(numList, 4);
    System.out.println("Key " + 4 + " : index " + index); // Key exists.
    System.out.println("Key " + 5 + " : index " + // Key does not exist.
                        Collections.binarySearch(numList, 5));
  }
}