interface IDoubleLinkedList<E> extends Iterable<E> {
  // Mutators
  void insertAtHead(E data_obj);
  void insertAtTail(E data_obj);
  E removeFromHead();
  E removeFromTail();
  boolean remove(E data_obj);

  // Selectors
  boolean isEmpty();
  int numOfNodes();
  BiNode<E> first();
  BiNode<E> last();
  BiNode<E> find(E data_obj);

  // Other methods
  void listToArray(E[] array);
}