
public interface ILinkedList<E> extends Iterable<E> {
  // Mutators
  public void insertAtHead(E data_obj);
  public void insertAtTail(E data_obj);
  public E removeFromHead();
  public E removeFromTail();
  boolean remove(E data_obj);

  // Selectors
  public boolean isEmpty();
  int numberOfNodes();
  Node<E> first();
  Node<E> last();
  Node<E> find(E data_obj);

  // Other methods
  void listToArray(E[] array);
}