interface IOrderedLinkedList<T extends Comparable<T>>  {
  // Order
  int INCREASING = 1;
  int DECREASING = -1;

  // Mutators
  void insertOrdered(T data_obj);
  T removeFromHead();
  T removeFromTail();
  boolean remove(T data_obj);

  // Selectors
  boolean isEmpty();
  OrderedNode<T> first();
  OrderedNode<T> last();
  int numOfNodes();
  OrderedNode<T> find(T data_obj);
  void listToArray(T[] array);
}