
public class QueueClient {
  public static void main(String[] args) {
    // (1) Check if there are any program arguments:
    if (args.length == 0) {
      System.out.println("Usage: java QueueClient <argument list>");
      return;
    }
    // (2) Create a queue:
    QueueByInheritance<String> queue = new QueueByInheritance<String>();

    // (3) Enqueue all the program arguments (strings):
    for (int i = 0; i < args.length; i++)
      queue.enqueue(args[i]);

    // (4) Dequeue the queue for all elements:
    while (!queue.empty())
      System.out.print(queue.dequeue().toUpperCase() + " ");
    System.out.println();

    // (5) Can call methods that queues inherit and break
    //     the queue abstraction:
    for (int i = 0; i < args.length; i++)
      queue.insertAtHead(args[i]);

    // (6) Print the queue elements:
    while (!queue.empty())
      System.out.print(queue.dequeue().toUpperCase() + " ");
    System.out.println();
  }
}