
public class StackClient {
  public static void main(String[] args) {
    // (1) Check if there are program arguments:
    if (args.length == 0) {
      System.out.println( "Usage: java StackClient <argument list>");
      return;
    }

    // (2) Create a stack:
    StackByAggregation<String> stack = new StackByAggregation<String>();

    // (3) Push all program arguments (strings) on to the stack:
    for (int i = 0; i < args.length; i++)
      stack.push(args[i]);

    // (4) Pop all elements from the stack:
    while (!stack.empty())
      System.out.print(stack.pop().toLowerCase() + " ");
    System.out.println();
  }
}