// Towers of Hanoi - Iterative version.
public class IterativeHanoi {
  public static void main(String[] args) {
    int numRings = 4;
    System.out.println("Moving " + numRings + " rings:");

    for (int step = 1; step < (1 << numRings); step++)
      System.out.println((step & step - 1) % 3 + " ---> " +
          ((step | step - 1) + 1) % 3);
  }
}