// Prints the elements of an array recursively
public class PrintRecursively {
  public static void main(String[] args) {
    Character spacing = ' ';
    Object _2b[] =  { "to", spacing, "be" };
    Object n2b[] = { "not", spacing, _2b };
    Object phrase[] = { _2b, " or ", n2b };
    printRecursively(phrase);
    System.out.println(", that is the question.");
  }
  public static void printRecursively(Object[] phrase) {
    // Base case: no elements
    if (phrase == null) return;

    // Print current element
    // Base case: current element is a simple element
    if ((phrase[0] instanceof String) || (phrase[0] instanceof Character)) {
      System.out.print(phrase[0]);
    }
    else {
      // General case: print first compound element using a recursive call
      printRecursively((Object[])phrase[0]);
    }

    // Print the rest of the array using recursive calls, if more elements
    if (phrase.length > 1) {
      Object rest[] = new Object[phrase.length-1];
      for (int i=1; i< phrase.length; i++) rest[i-1]=phrase[i];
      printRecursively(rest);
    }
  }
}
