
public class Speed4 {

  public static void main(String[] args) {
    System.out.println("Entering main().");
    try {
      printSpeed(-100, 10);                     // (1) Distance < 0.
    }
    catch (ArithmeticException exception) {     // (2)
      System.out.println(exception + " (handled in main())");
    }
    System.out.println("Returning from main().");
  }

  private static void printSpeed(int kilometers, int hours) {
    System.out.println("Entering printSpeed().");
    int speed = calculateSpeed(kilometers, hours);
    System.out.println("Speed = " +
                        kilometers + "/" + hours + " = " + speed);
    System.out.println("Returning from printSpeed().");
  }

  private static int calculateSpeed(int distance, int time) {
    System.out.println("Calculating speed.");
    if (distance < 0 || time < 0)                              // (3)
      throw new ArithmeticException("distance and time" +
                                    " cannot be < 0");         // (4)
    return distance/time;
  }
}