
public class TryCatchPE2 {
  public static void main(String[] args) {
    test(0); // (1) Call to the method test().
  }

  private static void test(int choice) {
    System.out.println("test(): entry");
    try {
      System.out.println("try: start");
      if (choice < 0)
        throw new ArithmeticException();
      else if (choice > 0)
        throw new IndexOutOfBoundsException();
      System.out.println("try: done");
    }
    catch (ArithmeticException exception) {
      System.out.println("Exception handled: " + exception);
    }
    System.out.println("test(): exit");
  }
}