import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

class ExternalListener2 implements ActionListener, WindowListener { // (4)

  // Reference to the main window.
  private SimpleWindow2 app;

  public ExternalListener2(SimpleWindow2 mainWindow) {
    app = mainWindow;
  }

  // Called when the user clicks the colour button.
  public void actionPerformed(ActionEvent event) {
    app.changeColor();
  }

  // Called when the user clicks the window close box.
  public void windowClosing(WindowEvent event) {                    // (5)
    System.out.println("Terminating the program.");
    app.dispose();
    System.exit(0);
  }

  // Stubs for unused methods from the WindowListener interface.       (6)
  public void windowClosed(WindowEvent event)      { }
  public void windowOpened(WindowEvent event)      { }
  public void windowIconified(WindowEvent event)   { }
  public void windowDeiconified(WindowEvent event) { }
  public void windowActivated(WindowEvent event)   { }
  public void windowDeactivated(WindowEvent event) { }
}