import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

class ExternalListener3 extends WindowAdapter implements ActionListener { // (4)

  // Reference to the main window.
  private SimpleWindow3 app;

  public ExternalListener3(SimpleWindow3 mainWindow) {
    app = mainWindow;
  }

  // Called when the user clicks the colour button.
  public void actionPerformed(ActionEvent h) {
    app.changeColor();
  }

  // Called when the user clicks the window close box.
  public void windowClosing(WindowEvent h) {                              // (5)
    System.out.println("Terminating the program.");
    app.dispose();
    System.exit(0);
  }
}