import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextField;

class GUICounterV2 extends JFrame {

  private JButton buttonPlus;
  private JButton buttonMinus;
  private JTextField integerField;

  private int counter;

  GUICounterV2() {
    super("GUICounterV2");

    integerField = new JTextField("0", 10);
    integerField.setEditable(false);
    buttonPlus = new JButton("Plus");
    buttonMinus = new JButton("Minus");

    JPanel panel = new JPanel();
    panel.add(integerField);
    panel.add(buttonPlus);
    panel.add(buttonMinus);
    getContentPane().add(panel);                              // (1)

    ActionListener listener = new ActionListener() {
      public void actionPerformed(ActionEvent event) {
        if (buttonPlus == event.getSource())               // (2)
          ++counter;
        else
          --counter;
        integerField.setText("" + counter);
      }
    };
    buttonPlus.addActionListener(listener);                   // (3)
    buttonMinus.addActionListener(listener);

    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    pack();
    setVisible(true);
  }
}