import java.awt.BorderLayout;                                  // (1)
import java.awt.Container;
import java.awt.TextField;
import java.awt.event.ActionEvent;                             // (2)
import java.awt.event.ActionListener;

import javax.swing.JButton;                                    // (3)
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

class GUIPE extends JFrame {                                   // (4)

  private JLabel label;                                        // (5)
  private TextField inputField;                                // (6)
  private JButton button;                                      // (7)

  public GUIPE() {
    super("GUI excercise");

    Container contentPane = getContentPane();                  // (8)

    label = new JLabel("", JLabel.CENTER);                     // (9)
    contentPane.add(label, BorderLayout.CENTER);               // (10)

    JPanel panel = new JPanel();                               // (11)
    inputField = new TextField(20);                            // (12)
    panel.add(inputField);                                     // (13)

    button = new JButton("Change to uppercase");
    button.addActionListener(                                  // (14)
        new ActionListener() {                                 // (15)
          public void actionPerformed(ActionEvent event) {     // (16)
            label.setText(inputField.getText().toUpperCase());
            inputField.setText("");                            // (17)
          }
        });
    panel.add(button);                                         // (18)
    contentPane.add(panel, BorderLayout.SOUTH);                // (19)

    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

    pack();
    setVisible(true);                                          // (20)
  }
}