package museumPkg;

/**
 * Exceptions for the Museum program.
 * Example: missing input or a reference number does not exist.
 */
public class MuseumItemException extends Exception {

  private String errorDescription;

  /**
   * @param description Short description of exception
   */
  public MuseumItemException(String description) {
    super(description);
    this.errorDescription = description;
  }

  /**
   * Henter det som ble gitt i konstruktren til objektet
   * @return En description av feilen dette objektet kom fra
   */
  public String getDescription() {
    return errorDescription;
  }
}
